/* @(#)list.h 1.10 Software Membership 11/16/95 */
/*
	SM/Editor - Version 2

    ---------
    Copyright (C) Si-Won Cho
            Dept. of Electrical Engineering
            Dongguk University
            Seoul, KOREA
            chosw@dgu4680.dongguk.ac.kr

            SAMSUNG Electronics
            Software Membership

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    ---------
*/

typedef struct _Link {
        struct _Link    *next, *prev;
        long	length;
        long	pos;
        char 	*buffer;
} *LinkPtr;

#ifdef _NO_PROTO
extern LinkPtr NewLink();
extern LinkPtr DeleteCurrentLink();
#else
extern LinkPtr NewLink(LinkPtr, long);
extern LinkPtr DeleteCurrentLink(LinkPtr);
#endif /*  _NO_PROTO  */




